> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tessera.edstratumlabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1courses readinessai



## OpenAPI

````yaml /api/openapi.json post /api/v1/courses/{courseId}/readiness/ai
openapi: 3.1.0
info:
  title: Tessera API
  version: '1'
servers:
  - url: https://tessera.edstratumlabs.ai
    description: Production
security: []
paths:
  /api/v1/courses/{courseId}/readiness/ai:
    post:
      tags:
        - courses
      operationId: runReadinessAi
      parameters:
        - name: courseId
          in: path
          required: true
          schema:
            type: string
            minLength: 1
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                rubricId:
                  type: string
                  minLength: 1
                itemIds:
                  maxItems: 100
                  type: array
                  items:
                    type: string
                    minLength: 1
              required: []
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReadinessResult'
        '400':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '401':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '403':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '404':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '409':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '429':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
      security:
        - bearerAuth: []
components:
  schemas:
    ReadinessResult:
      type: object
      properties:
        courseId:
          type: string
          minLength: 1
        rubricId:
          type: string
          minLength: 1
        rubricName:
          type: string
          minLength: 1
        attribution:
          type:
            - string
            - 'null'
        computedAt:
          type: string
          minLength: 1
        met:
          type: number
          minimum: 0
        applicable:
          type: number
          minimum: 0
        percent:
          type: integer
          minimum: 0
          maximum: 100
        needsReview:
          type: number
          minimum: 0
        standards:
          type: array
          items:
            $ref: '#/components/schemas/StandardResult'
        blocksPublishing:
          type: boolean
      required:
        - courseId
        - rubricId
        - rubricName
        - attribution
        - computedAt
        - met
        - applicable
        - percent
        - needsReview
        - standards
        - blocksPublishing
      additionalProperties: false
    ApiErrorBody:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              type: string
              enum:
                - unauthenticated
                - forbidden
                - not-found
                - invalid
                - conflict
                - not-ready
                - ai-disabled
                - ai-failed
                - rate-limited
                - too-large
                - unsupported
            message:
              type: string
            details: {}
    StandardResult:
      type: object
      properties:
        standardId:
          type: string
          minLength: 1
        number:
          type: string
          minLength: 1
        title:
          type: string
          minLength: 1
        met:
          type: number
          minimum: 0
        applicable:
          type: number
          minimum: 0
        status:
          type: string
          enum:
            - met
            - partly-met
            - not-met
            - not-applicable
        items:
          type: array
          items:
            $ref: '#/components/schemas/ItemResult'
      required:
        - standardId
        - number
        - title
        - met
        - applicable
        - status
        - items
      additionalProperties: false
    ItemResult:
      type: object
      properties:
        itemId:
          type: string
          minLength: 1
        number:
          type: string
          minLength: 1
        text:
          type: string
          minLength: 1
        kind:
          $ref: '#/components/schemas/RubricCheckKind'
        status:
          $ref: '#/components/schemas/ItemStatus'
        evidence:
          type: array
          items:
            type: string
        fixes:
          type: array
          items:
            $ref: '#/components/schemas/FixLink'
        finding:
          anyOf:
            - $ref: '#/components/schemas/AiFinding'
            - type: 'null'
        attestation:
          anyOf:
            - $ref: '#/components/schemas/Attestation'
            - type: 'null'
      required:
        - itemId
        - number
        - text
        - kind
        - status
        - evidence
        - fixes
        - finding
        - attestation
      additionalProperties: false
    RubricCheckKind:
      type: string
      enum:
        - automatic
        - ai
        - attestation
    ItemStatus:
      type: string
      enum:
        - met
        - not-met
        - needs-review
        - attested
        - not-applicable
    FixLink:
      type: object
      properties:
        label:
          type: string
          minLength: 1
        target:
          $ref: '#/components/schemas/FixTarget'
      required:
        - label
        - target
      additionalProperties: false
    AiFinding:
      type: object
      properties:
        verdict:
          type: string
          enum:
            - likely-met
            - likely-not-met
            - unclear
        evidence:
          type: string
        suggestion:
          type: string
        provenance:
          $ref: '#/components/schemas/Provenance'
        state:
          type: string
          enum:
            - draft
            - accepted
            - dismissed
        reviewedBy:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
        reviewedByName:
          type:
            - string
            - 'null'
        reviewedAt:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
      required:
        - verdict
        - evidence
        - suggestion
        - provenance
        - state
        - reviewedBy
        - reviewedAt
      additionalProperties: false
    Attestation:
      type: object
      properties:
        status:
          type: string
          enum:
            - attested
            - not-applicable
        by:
          type: string
          minLength: 1
        byName:
          type: string
          minLength: 1
        note:
          type: string
        at:
          type: string
          minLength: 1
      required:
        - status
        - by
        - byName
        - note
        - at
      additionalProperties: false
    FixTarget:
      oneOf:
        - type: object
          properties:
            kind:
              type: string
              const: block
            lessonId:
              type: string
              minLength: 1
            blockId:
              type: string
              minLength: 1
          required:
            - kind
            - lessonId
            - blockId
          additionalProperties: false
        - type: object
          properties:
            kind:
              type: string
              const: lesson
            lessonId:
              type: string
              minLength: 1
          required:
            - kind
            - lessonId
          additionalProperties: false
        - type: object
          properties:
            kind:
              type: string
              const: module
            moduleId:
              type: string
              minLength: 1
          required:
            - kind
            - moduleId
          additionalProperties: false
        - type: object
          properties:
            kind:
              type: string
              const: assignment
            assignmentId:
              type: string
              minLength: 1
          required:
            - kind
            - assignmentId
          additionalProperties: false
        - type: object
          properties:
            kind:
              type: string
              const: course
            courseId:
              type: string
              minLength: 1
            field:
              type: string
              enum:
                - outcomes
                - welcome
                - description
                - program
          required:
            - kind
            - courseId
            - field
          additionalProperties: false
        - type: object
          properties:
            kind:
              type: string
              const: template
            courseId:
              type: string
              minLength: 1
          required:
            - kind
            - courseId
          additionalProperties: false
        - type: object
          properties:
            kind:
              type: string
              const: access
            courseId:
              type: string
              minLength: 1
          required:
            - kind
            - courseId
          additionalProperties: false
    Provenance:
      type: object
      properties:
        model:
          type: string
          minLength: 1
        task:
          type: string
          enum:
            - brief
            - outline
            - lesson-draft
            - block-regenerate
            - announcement
            - feedback
            - alt-text
            - rewrite
            - link-text
            - element
            - tutor
            - tutor-summary
            - agent
            - readiness-item
            - variant
        generatedAt:
          type: string
          minLength: 1
        sources:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                minLength: 1
              name:
                type: string
                minLength: 1
            required:
              - id
              - name
            additionalProperties: false
        summary:
          type: string
      required:
        - model
        - task
        - generatedAt
        - sources
        - summary
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Scoped tsk_… API token or Access JWT

````